### Function

# FwupdPlugin utf16_to_utf8_byte_array

since: 1.9.3

#### Declaration [src]

    gchar*
    fu_utf16_to_utf8_byte_array (
      GByteArray* array,
      FuEndianType endian,
      GError** error
    )

#### Description [src]

Converts a UTF-16 buffer to a UTF-8 string.

Available since: 1.9.3

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.